Lists departments for the authenticated organization, ordered alphabetically by name.
/api/departmentsLists departments for the authenticated organization, ordered alphabetically by name. The departments feature must be enabled.
Bearer API key or X-API-Key header.departments:readautomation_api)Query parameter. BCP 47 locale or language tag used for localized content.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"orgId": "11111111-1111-4111-8111-111111111111",
"name": "Billing",
"slug": "billing",
"description": "Handles invoices and payments.",
"isDefault": false,
"locale": "en",
"fallbackUsed": true,
"translations": [
{
"id": "11111111-1111-4111-8111-111111111111",
"locale": "en",
"status": "draft",
"sourceLocale": "en",
"machineTranslatedAt": "2026-08-04T10:00:00.000Z",
"reviewedAt": "2026-08-04T10:00:00.000Z",
"reviewedBy": "example",
"name": "Example name",
"description": "example",
"createdAt": "2026-08-04T10:00:00.000Z",
"updatedAt": "2026-08-04T10:00:00.000Z"
}
],
"createdAt": "2026-06-23T08:00:00.000Z",
"updatedAt": "2026-06-23T08:00:00.000Z"
}
]
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/departments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/departments", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?